## org.eclipse.datatools.enablement.ingres.models.ingressqlmodel.util
Class IngressqlmodelSwitch

    java.lang.Object
      org.eclipse.datatools.enablement.ingres.models.ingressqlmodel.util.IngressqlmodelSwitch

    public class IngressqlmodelSwitch

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `IngressqlmodelPackage`

Field Summary
`static java.lang.String` `copyright`

Constructor Summary
`IngressqlmodelSwitch()` Creates an instance of the switch.

Method Summary
`java.lang.Object` `caseDerivedTable(DerivedTable object)` Returns the result of interpreting the object as an instance of 'Derived Table'.
`java.lang.Object` `caseEModelElement(org.eclipse.emf.ecore.EModelElement object)` Returns the result of interpreting the object as an instance of 'EModel Element'.
`java.lang.Object` `caseENamedElement(org.eclipse.emf.ecore.ENamedElement object)` Returns the result of interpreting the object as an instance of 'ENamed Element'.
`java.lang.Object` `caseIdentitySpecifier(IdentitySpecifier object)` Returns the result of interpreting the object as an instance of 'Identity Specifier'.
`java.lang.Object` `caseIngresDBEvent(IngresDBEvent object)` Returns the result of interpreting the object as an instance of 'Ingres DB Event'.
`java.lang.Object` `caseIngresIdentitySpecifier(IngresIdentitySpecifier object)` Returns the result of interpreting the object as an instance of 'Ingres Identity Specifier'.
`java.lang.Object` `caseIngresSchema(IngresSchema object)` Returns the result of interpreting the object as an instance of 'Ingres Schema'.
`java.lang.Object` `caseIngresSynonym(IngresSynonym object)` Returns the result of interpreting the object as an instance of 'Ingres Synonym'.
`java.lang.Object` `caseIngresTrigger(IngresTrigger object)` Returns the result of interpreting the object as an instance of 'Ingres Trigger'.
`java.lang.Object` `caseIngresViewTable(IngresViewTable object)` Returns the result of interpreting the object as an instance of 'Ingres View Table'.
`java.lang.Object` `caseSchema(Schema object)` Returns the result of interpreting the object as an instance of 'Schema'.
`java.lang.Object` `caseSQLObject(SQLObject object)` Returns the result of interpreting the object as an instance of 'SQL Object'.
`java.lang.Object` `caseTable(Table object)` Returns the result of interpreting the object as an instance of 'Table'.
`java.lang.Object` `caseTrigger(Trigger object)` Returns the result of interpreting the object as an instance of 'Trigger'.
`java.lang.Object` `caseViewTable(ViewTable object)` Returns the result of interpreting the object as an instance of 'View Table'.
`java.lang.Object` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.
`java.lang.Object` `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Constructor Detail

### IngressqlmodelSwitch

    public IngressqlmodelSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseIngresSynonym

    public java.lang.Object caseIngresSynonym(IngresSynonym object)

  Returns the result of interpreting the object as an instance of 'Ingres Synonym'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Ingres Synonym'.
  See Also:
    `doSwitch(EObject)`

### caseIngresDBEvent

    public java.lang.Object caseIngresDBEvent(IngresDBEvent object)

  Returns the result of interpreting the object as an instance of 'Ingres DB Event'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Ingres DB Event'.
  See Also:
    `doSwitch(EObject)`

### caseIngresSchema

    public java.lang.Object caseIngresSchema(IngresSchema object)

  Returns the result of interpreting the object as an instance of 'Ingres Schema'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Ingres Schema'.
  See Also:
    `doSwitch(EObject)`

### caseIngresViewTable

    public java.lang.Object caseIngresViewTable(IngresViewTable object)

  Returns the result of interpreting the object as an instance of 'Ingres View Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Ingres View Table'.
  See Also:
    `doSwitch(EObject)`

### caseIngresTrigger

    public java.lang.Object caseIngresTrigger(IngresTrigger object)

  Returns the result of interpreting the object as an instance of 'Ingres Trigger'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Ingres Trigger'.
  See Also:
    `doSwitch(EObject)`

### caseIngresIdentitySpecifier

    public java.lang.Object caseIngresIdentitySpecifier(IngresIdentitySpecifier object)

  Returns the result of interpreting the object as an instance of 'Ingres Identity Specifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Ingres Identity Specifier'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public java.lang.Object caseEModelElement(org.eclipse.emf.ecore.EModelElement object)

  Returns the result of interpreting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public java.lang.Object caseENamedElement(org.eclipse.emf.ecore.ENamedElement object)

  Returns the result of interpreting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseSQLObject

    public java.lang.Object caseSQLObject(SQLObject object)

  Returns the result of interpreting the object as an instance of 'SQL Object'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'SQL Object'.
  See Also:
    `doSwitch(EObject)`

### caseSchema

    public java.lang.Object caseSchema(Schema object)

  Returns the result of interpreting the object as an instance of 'Schema'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Schema'.
  See Also:
    `doSwitch(EObject)`

### caseTable

    public java.lang.Object caseTable(Table object)

  Returns the result of interpreting the object as an instance of 'Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Table'.
  See Also:
    `doSwitch(EObject)`

### caseDerivedTable

    public java.lang.Object caseDerivedTable(DerivedTable object)

  Returns the result of interpreting the object as an instance of 'Derived Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Derived Table'.
  See Also:
    `doSwitch(EObject)`

### caseViewTable

    public java.lang.Object caseViewTable(ViewTable object)

  Returns the result of interpreting the object as an instance of 'View Table'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'View Table'.
  See Also:
    `doSwitch(EObject)`

### caseTrigger

    public java.lang.Object caseTrigger(Trigger object)

  Returns the result of interpreting the object as an instance of 'Trigger'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Trigger'.
  See Also:
    `doSwitch(EObject)`

### caseIdentitySpecifier

    public java.lang.Object caseIdentitySpecifier(IdentitySpecifier object)

  Returns the result of interpreting the object as an instance of 'Identity Specifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Identity Specifier'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `doSwitch(org.eclipse.emf.ecore.EObject)`